signercommands.c File Reference
`#include "config.h"`
`#include "file.h"`
`#include "str.h"`
`#include "locks.h"`
`#include "log.h"`
`#include "status.h"`
`#include "util.h"`
`#include "longgetopt.h"`
`#include "daemon/engine.h"`
`#include "cmdhandler.h"`
`#include "signercommands.h"`
`#include "clientpipe.h"`

Go to the source code of this file.

## Functions

int | getlong (char *s, char **endptr, long *result)
engine_type * | getglobalcontext (cmdhandler_ctx_type *context)

## Variables

struct cmd_func_block | helpCmdDef = { "help", NULL, NULL, NULL, &cmdhandler_handle_cmd_help, NULL }
struct cmd_func_block | zonesCmdDef = { "zones", NULL, NULL, NULL, &cmdhandler_handle_cmd_zones, NULL }
struct cmd_func_block | signCmdDef = { "sign", NULL, NULL, NULL, NULL, &cmdhandler_handle_cmd_sign }
struct cmd_func_block | clearCmdDef = { "clear", NULL, NULL, NULL, &cmdhandler_handle_cmd_clear, NULL }
struct cmd_func_block | queueCmdDef = { "queue", NULL, NULL, NULL, &cmdhandler_handle_cmd_queue, NULL }
struct cmd_func_block | flushCmdDef = { "flush", NULL, NULL, NULL, &cmdhandler_handle_cmd_flush, NULL }
struct cmd_func_block | updateCmdDef = { "update", NULL, NULL, NULL, &cmdhandler_handle_cmd_update, NULL }
struct cmd_func_block | stopCmdDef = { "stop", NULL, NULL, NULL, &cmdhandler_handle_cmd_stop, NULL }
struct cmd_func_block | startCmdDef = { "start", NULL, NULL, NULL, &cmdhandler_handle_cmd_start, NULL }
struct cmd_func_block | reloadCmdDef = { "reload", NULL, NULL, NULL, &cmdhandler_handle_cmd_reload, NULL }
struct cmd_func_block | retransferCmdDef = { "retransfer", NULL, NULL, NULL, &cmdhandler_handle_cmd_retransfer, NULL }
struct cmd_func_block | runningCmdDef = { "running", NULL, NULL, NULL, &cmdhandler_handle_cmd_running, NULL }
struct cmd_func_block | verbosityCmdDef = { "verbosity", NULL, NULL, NULL, &cmdhandler_handle_cmd_verbosity, NULL }
struct cmd_func_block | timeleapCmdDef = { "time leap", NULL, NULL, NULL, &cmdhandler_handle_cmd_timeleap, NULL }
struct cmd_func_block * | signcommands []
struct cmd_func_block ** | signercommands = signcommands

## Function Documentation

## getglobalcontext()

engine_type * getglobalcontext | ( | cmdhandler_ctx_type * | context | ) |

Definition at line 747 of file signercommands.c.

## getlong()

int getlong | ( | char * | s,
|  | char ** | endptr,
|  | long * | result )

Definition at line 294 of file signercommands.c.

## Variable Documentation

## clearCmdDef

struct cmd_func_block clearCmdDef = { "clear", NULL, NULL, NULL, &cmdhandler_handle_cmd_clear, NULL }

Definition at line 715 of file signercommands.c.

## flushCmdDef

struct cmd_func_block flushCmdDef = { "flush", NULL, NULL, NULL, &cmdhandler_handle_cmd_flush, NULL }

Definition at line 717 of file signercommands.c.

## helpCmdDef

struct cmd_func_block helpCmdDef = { "help", NULL, NULL, NULL, &cmdhandler_handle_cmd_help, NULL }

Definition at line 712 of file signercommands.c.

## queueCmdDef

struct cmd_func_block queueCmdDef = { "queue", NULL, NULL, NULL, &cmdhandler_handle_cmd_queue, NULL }

Definition at line 716 of file signercommands.c.

## reloadCmdDef

struct cmd_func_block reloadCmdDef = { "reload", NULL, NULL, NULL, &cmdhandler_handle_cmd_reload, NULL }

Definition at line 721 of file signercommands.c.

## retransferCmdDef

struct cmd_func_block retransferCmdDef = { "retransfer", NULL, NULL, NULL, &cmdhandler_handle_cmd_retransfer, NULL }

Definition at line 722 of file signercommands.c.

## runningCmdDef

struct cmd_func_block runningCmdDef = { "running", NULL, NULL, NULL, &cmdhandler_handle_cmd_running, NULL }

Definition at line 723 of file signercommands.c.

## signCmdDef

struct cmd_func_block signCmdDef = { "sign", NULL, NULL, NULL, NULL, &cmdhandler_handle_cmd_sign }

Definition at line 714 of file signercommands.c.

## signcommands

struct cmd_func_block* signcommands[]

Initial value:
= {
&helpCmdDef,
&zonesCmdDef,
&signCmdDef,
&clearCmdDef,
&queueCmdDef,
&flushCmdDef,
&updateCmdDef,
&stopCmdDef,
&startCmdDef,
&reloadCmdDef,
&retransferCmdDef,
&runningCmdDef,
&verbosityCmdDef,
&timeleapCmdDef,
NULL
}
zonesCmdDef
struct cmd_func_block zonesCmdDef
Definition signercommands.c:713
verbosityCmdDef
struct cmd_func_block verbosityCmdDef
Definition signercommands.c:724
startCmdDef
struct cmd_func_block startCmdDef
Definition signercommands.c:720
signCmdDef
struct cmd_func_block signCmdDef
Definition signercommands.c:714
retransferCmdDef
struct cmd_func_block retransferCmdDef
Definition signercommands.c:722
flushCmdDef
struct cmd_func_block flushCmdDef
Definition signercommands.c:717
timeleapCmdDef
struct cmd_func_block timeleapCmdDef
Definition signercommands.c:725
clearCmdDef
struct cmd_func_block clearCmdDef
Definition signercommands.c:715
reloadCmdDef
struct cmd_func_block reloadCmdDef
Definition signercommands.c:721
queueCmdDef
struct cmd_func_block queueCmdDef
Definition signercommands.c:716
helpCmdDef
struct cmd_func_block helpCmdDef
Definition signercommands.c:712
stopCmdDef
struct cmd_func_block stopCmdDef
Definition signercommands.c:719
runningCmdDef
struct cmd_func_block runningCmdDef
Definition signercommands.c:723
updateCmdDef
struct cmd_func_block updateCmdDef
Definition signercommands.c:718

Definition at line 727 of file signercommands.c.

## signercommands

struct cmd_func_block** signercommands = signcommands

Command handler.

Definition at line 744 of file signercommands.c.

## startCmdDef

struct cmd_func_block startCmdDef = { "start", NULL, NULL, NULL, &cmdhandler_handle_cmd_start, NULL }

Definition at line 720 of file signercommands.c.

## stopCmdDef

struct cmd_func_block stopCmdDef = { "stop", NULL, NULL, NULL, &cmdhandler_handle_cmd_stop, NULL }

Definition at line 719 of file signercommands.c.

## timeleapCmdDef

struct cmd_func_block timeleapCmdDef = { "time leap", NULL, NULL, NULL, &cmdhandler_handle_cmd_timeleap, NULL }

Definition at line 725 of file signercommands.c.

## updateCmdDef

struct cmd_func_block updateCmdDef = { "update", NULL, NULL, NULL, &cmdhandler_handle_cmd_update, NULL }

Definition at line 718 of file signercommands.c.

## verbosityCmdDef

struct cmd_func_block verbosityCmdDef = { "verbosity", NULL, NULL, NULL, &cmdhandler_handle_cmd_verbosity, NULL }

Definition at line 724 of file signercommands.c.

## zonesCmdDef

struct cmd_func_block zonesCmdDef = { "zones", NULL, NULL, NULL, &cmdhandler_handle_cmd_zones, NULL }

Definition at line 713 of file signercommands.c.